Page MenuHomePhabricator

Put prometheus baremetal servers in service
Closed, ResolvedPublic

Description

Prometheus HW was acquired in {T149339} and needs to be put in service

Details

Related Gerrit Patches:
operations/puppet : productionsite: add prometheus200[34]
operations/puppet : productionconftool: add prometheus100[34]
operations/puppet : productionprometheus: keep more chunks in memory
operations/puppet : productionhieradata: add prometheus200[34]
operations/dns : masterAdd prometheus200[34] ipv6
operations/puppet : productionsite: add prometheus200[34]
operations/puppet : productioninstall_server: tweak prometheus partman recipe for baremetal
operations/puppet : productionprometheus: temporary rsync server for metrics migration
operations/puppet : productionhieradata: set realserver_ips for role prometheus::ops

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2016, 10:31 AM
elukey triaged this task as Medium priority.Oct 18 2016, 1:01 PM
fgiunchedi renamed this task from Consider moving prometheus from VM to baremetal to Put prometheus baremetal servers in service.Dec 15 2016, 5:32 PM
fgiunchedi reopened this task as Open.
fgiunchedi claimed this task.
fgiunchedi updated the task description. (Show Details)

Change 327554 had a related patch set uploaded (by Filippo Giunchedi):
hieradata: set realserver_ips for role prometheus::ops

https://gerrit.wikimedia.org/r/327554

Change 327555 had a related patch set uploaded (by Filippo Giunchedi):
site: add prometheus200[34]

https://gerrit.wikimedia.org/r/327555

Change 330348 had a related patch set uploaded (by Filippo Giunchedi):
prometheus: temporary rsync server for metrics migration

https://gerrit.wikimedia.org/r/330348

Change 327554 merged by Filippo Giunchedi:
hieradata: set realserver_ips for role prometheus::ops

https://gerrit.wikimedia.org/r/327554

Change 330348 merged by Dzahn:
prometheus: temporary rsync server for metrics migration

https://gerrit.wikimedia.org/r/330348

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.

Change 343110 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet] install_server: tweak prometheus partman recipe for baremetal

https://gerrit.wikimedia.org/r/343110

Change 343110 merged by Filippo Giunchedi:
[operations/puppet] install_server: tweak prometheus partman recipe for baremetal

https://gerrit.wikimedia.org/r/343110

Change 343677 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet] site: add prometheus200[34]

https://gerrit.wikimedia.org/r/343677

Change 343677 merged by Filippo Giunchedi:
[operations/puppet] site: add prometheus200[34]

https://gerrit.wikimedia.org/r/343677

Change 343680 had a related patch set uploaded (by Filippo Giunchedi):
[operations/dns] Add prometheus200[34] ipv6

https://gerrit.wikimedia.org/r/343680

Change 343680 merged by Filippo Giunchedi:
[operations/dns] Add prometheus200[34] ipv6

https://gerrit.wikimedia.org/r/343680

Change 343693 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet] hieradata: add prometheus200[34]

https://gerrit.wikimedia.org/r/343693

Change 343693 merged by Filippo Giunchedi:
[operations/puppet] hieradata: add prometheus200[34]

https://gerrit.wikimedia.org/r/343693

Change 344340 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet@production] prometheus: keep more chunks in memory

https://gerrit.wikimedia.org/r/344340

Change 344340 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: keep more chunks in memory

https://gerrit.wikimedia.org/r/344340

Mentioned in SAL (#wikimedia-operations) [2017-03-23T11:01:51Z] <godog> pool prometheus200[34] / depool prometheus200[12] - T148408

Change 344585 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet@production] conftool: add prometheus100[34]

https://gerrit.wikimedia.org/r/344585

Change 344585 merged by Filippo Giunchedi:
[operations/puppet@production] conftool: add prometheus100[34]

https://gerrit.wikimedia.org/r/344585

Mentioned in SAL (#wikimedia-operations) [2017-03-24T09:39:30Z] <godog> pool prometheus100[34] - T148408

codfw/eqiad are now serving prometheus queries with baremetal hw only, next week I'll decom the ganeti VMs in both sites

fgiunchedi closed this task as Resolved.Apr 18 2017, 2:02 PM

This is completed, baremetal in service

Change 327555 abandoned by Filippo Giunchedi:
site: add prometheus200[34]

Reason:
Superceded, see also https://phabricator.wikimedia.org/T163692

https://gerrit.wikimedia.org/r/327555